<?php
 
if (isset($_POST['createSFX'])){
	#echo '<pre>';print_r($_POST);echo '</pre>';

  #Load the Library
  require('inc/sfx.lib.php');

  #Generate a new object
  $sfx = new sfx( $_POST['lang'], 0); #'de'
  
  $files = array(
		'readme.txt',
		'demo.dir',
		'demo.ini',
		'demo.exe',
		'uninstall.ini',
		'uninstall.exe',
	);

	foreach ($files as $file)
		$sfx->addFile('files/'.$file, $file); //Add a single file
		
  #$zipfile->addDirContent('files'); //Add a complete dir (recursiv)
	#$zipfile->addFileData("ABC\nabc\nABC", "foo.dat");
	
	/* SCRIPT-COMMANDS */
	$sfx->setTitle('SFX Beispiel 1 Installation');
	$sfx->setText(file_get_contents('data/setup_text.htm'));
	$sfx->setLicence(file_get_contents('data/setup_license.htm'),'SFX Beispiel 1 Installation');
	$sfx->setPath('example1');
	$sfx->setSavePath(true);
	$sfx->setOverwrite(1);
	#$sfx->setTempMode(true);
	#$sfx->setSetup('start.exe');
	#$sfx->setPresetup('pre.exe');
	$shortcuts = array(
		'P, demo.exe, example1, "startet example1", example1',
		'P, uninstall.exe, example1, "deinstalliert example1", "example1 deinstallieren"'
	);
	$sfx->setShortcuts($shortcuts);
	
	#echo '<pre>'.$sfx->getScript().'</pre>';	exit;
	
	$sfx->file('example1.exe');

}

?>
<html>
<head>
<title>SFX demo 1</title>
<style type="text/css">
body {
	font-family: Verdana;
	font-size: 10px;
	margin:10px;
}
h1 {
	font-family: Verdana;
	font-size: 12px;
	margin-top: 0px;
}
input[type=text], input[type=submit], select {
	font-family: Verdana;
	font-size: 10px;

}
</style>
</head>

<body>

<form method="post" action="<?=$_SERVER['PHP_SELF']?>">

installation language:

<select name="lang">
<option value="de">german</option>
<option value="en">english</option>
<option value="fr">french</option>
<option value="ru">russian</option>
</select> 

<br><br>

<input type="submit" name="createSFX" value="Create SFX !">
</form>

</body>
</html>