<?php
 
if (isset($_POST['createSFX'])){
	#echo '<pre>';print_r($_POST);echo '</pre>';exit;

  #Load the Library
  require('inc/sfx.lib.php');

  #Generate a new object
  $sfx = new sfx($_POST['lang'], 0);
  
	foreach($_POST['files'] as $file)
		$sfx->addFile('files/'.$file, $file); //Add a single file
  #$zipfile->addDirContent('files'); //Add a complete dir (recursiv)
	#$zipfile->addFileData("ABC\nabc\nABC", "foo.dat");
	
	# SCRIPT-COMMANDS
	
	# TEXT
	if (isset($_POST['text_flag'])){
		$sfx->setTitle($_POST['Title']);
		$sfx->setText($_POST['Text']);
	}
	
	# LICENSE
	if (isset($_POST['license_flag'])) $sfx->setLicence($_POST['LicenseText'], $_POST['LicenseTitle']);
	
	# PATH
	if (isset($_POST['path_flag'])){
		$sfx->setPath('myphotobook');
		if (isset($_POST['save_path_flag'])) $sfx->setSavePath(true);
	}
	
	$sfx->setOverwrite((int)$_POST['Overwrite']);
	
	# SHORTCUTS
	if (isset($_POST['shortcuts_flag'])){
		$shortcuts = $_POST['shortcuts'];
		if (count($shortcuts)) $sfx->setShortcuts($shortcuts);
	}
	//	$shortcuts = array(
	//		'P, myphotobook.exe, myphotobook, "startet myphotobook", myphotobook',
	//		'P, uninstall.exe, myphotobook, "deinstalliert myphotobook", "myphotobook deinstallieren"'
	//	);
	
	
	# TO DO!!!
	
	#$sfx->setTempMode(true);
	#$sfx->setSetup('start.exe');
	#$sfx->setPresetup('pre.exe');

	# CREATE SFX
	$sfx->file('setup.exe');
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<title>SFX demo 2</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
html, body {
	font-family: Verdana;
	font-size: 10px;
}
h1 {
	font-family: Verdana;
	font-size: 12px;
	margin-top: 0px;
}
textarea {
	font-family: Verdana;
	font-size: 10px;
}
input[type=text], input[type=button], input[type=submit], select {
	font-family: Verdana;
	font-size: 10px;
	width:200px;
	margin-top:4px;
}
hr {
	margin-top: 10px;
	margin-bottom: 10px;
}
.hidden {
	display:none;
	margin:0px 0px 0px 20px;
}
input {
	margin-left:0px;
}
input[type=checkbox],input[type=radio] {
	vertical-align:middle;
}

#tooltip {
	position: absolute;
	z-index: 3000;
	border: 1px solid #111;
	background-color: #eee;
	padding: 5px;
	opacity: 0.85;
}
#tooltip h3, #tooltip div { margin: 0; }
</style>
<script src="http://code.jquery.com/jquery-1.2.2.min.js" type="text/javascript"></script>
<script src="js/jquery.tooltip.js" type="text/javascript"></script>
<script type="text/javascript">

function show(id, visFlag){
	var div = document.getElementById(id);
	div.style.display = visFlag ? 'block' : 'none';
}

function addShortcut(){
	//Shortcut=<DestType>,<SrcName>,<DestFolder>,<Description>,<ShortcutName>
	var shortcuts = document.getElementById('shortcuts');
	var f = shortcuts.form;		
	var str = f.DestType.value+','+f.SrcName.value+','+f.DestFolder.value+','+f.Description.value+','+f.LnkName.value;
	shortcuts.innerHTML=shortcuts.innerHTML+'<option value="'+str+'">'+str+'</option>';
}

function removeShortcut(){
	var shortcuts = document.getElementById('shortcuts');
	var i = shortcuts.selectedIndex;
	if (i>=0)
		shortcuts.removeChild(shortcuts.childNodes[i]);
}

$(function(){$('body *').tooltip();});

//-->
</script>
</head>

<body id="set1">

<h1 style="color:red;">script not finished yet!</h1>

<form method="post" action="<?=$_SERVER['PHP_SELF']?>" onsubmit="o=this.shortcuts.options;for(i=0;i<o.length;i++)o[i].selected=true">

<h1>Files</h1>

please choose the files to pack as SFX<br>(select multiple with CTRL + Click)<br>
<select name="files[]" id="files" multiple size="4">
<?
$h = opendir('files');
while ($f = readdir($h))
	if ($f != '.' && $f != '..')
		echo "<option value=\"$f\">$f</option>\n";
closedir($h);
?>
</select> 

<hr>

<h1>Language</h1>

please choose an installation language<br>
<select name="lang">
<option value="de">german</option>
<option value="en">english</option>
<option value="fr">french</option>
<option value="ru">russian</option>
</select> 

<hr>

<h1>SFX options</h1>

<!-- TARGET DIR -->
<div><input type="checkbox" name="path_flag" onclick="show('divPath', this.checked)"> suggest target directory?</div>
<div id="divPath" class="hidden">
Path:<br>
<input type="text" name="Path" value="myphotobook"><br>
<br>
<input type="radio" name="" value=""> absolute Path (entered path has to start with volume letter, e.g. C:\...)<br>
<input type="radio" name="" value=""> inside program folder (specified path is relative)<br>
<input type="radio" name="" value="" checked="checked" > inside current directory (specified path is relative)<br>
<br>
<input type="checkbox" name="save_path_flag"> Remember and restore path <label title="This option allows to save the directory actually specified by the user to the registry, and to restore it when a SFX archive is executed with the same path settings. The default directory is presented together with the saved directory, so the user can choose between the two.<br><br>This feature can be useful for installing new versions/updates of an already installed program.<br><br>This setting can only be used if you entered a path." for="text1">[?]</label>	
</div>
	
<hr>

<div><input type="checkbox" name="TempMode" onclick="show('divTempMode', this.checked)"> temporary mode? (unpack to TMP-folder, target directory is ignored)</div>
<div id="divTempMode" class="hidden">
<input type="checkbox" name="TempMode" onclick="show('divConfirm', this.checked)"> confirmation dialog?
<div id="divConfirm" class="hidden">
Text of confirmation question<br>
<input type="text" name="FrageText"><br>

<hr>

Dialog title (optional)<br>
<input type="text" name="FrageTitel">
</div>
</div>

<hr>

<div style="margin-top:10px">presentation mode</div>
<input type="radio" name="Silent" value="0" checked="checked"> show everything <!-- Lizenz, dann Speicher-Dialog mit Text --><br>
<input type="radio" name="Silent" value="2"> skip start dialog <!-- nur Lizenz --><br>
<input type="radio" name="Silent" value="1"> hide everything

<hr>

<div style="margin-top:10px">overwrite mode</div>
<input type="radio" name="Overwrite" value="0" checked="checked"> ask before overwriting<br>
<input type="radio" name="Overwrite" value="1"> overwrite all files<br>
<input type="radio" name="Overwrite" value="2"> abort if file already exists

<hr>

<div><input type="checkbox" name="TempMode" onclick="show('divSetup', this.checked)"> program execution?</div>
<div id="divSetup" class="hidden">
executed after unpacking (e.g. "setup.exe")<br>
<input type="text" name="Setup"><br>
<br>
executed before unpacking<br>
<input type="text" name="PreSetup">
</div>

<hr>

<!-- DELETE FILES -->
<div><input type="checkbox" name="TempMode" onclick="show('divDelete', this.checked)"> delete files?</div>
<div id="divDelete" class="hidden">
Files in target directory that will be deleted <span title="SFX will try to delete the specified files in the target directory before unpacking. You can enter multiple files, seperated by space.<br><br>If a certain file is locked and can\'t be deleted, the SFX will try to rename the file to a temporary filename and delete it after the next restart of windows. The success of this procedure depends on the windows version.">[?]</span><br>
<input type="text" name="Delete">
</div>

<hr>

<!-- SHORTCUTS -->
<div><input type="checkbox" name="shortcuts_flag" onclick="show('divShortcut', this.checked)"> create shortcuts?</div>
<div id="divShortcut" class="hidden">
<select name="shortcuts[]" id="shortcuts" multiple size="4" style="width:640px"></select> 
<br>
<input type="button" onclick="addShortcut()" value="add shortcut">&nbsp;<input type="button" onclick="removeShortcut()" value="remove selected shortcut">
<br><br>
location of shortcut<br>
<select name="DestType">
<option value="D">desktop</option>
<option value="S">start menu</option>
<option value="P" selected="selected">start menu\programs</option>
<option value="T">autostart</option>
</select>
<br>
<br>
source filename<br>
<input type="text" name="SrcName" title="name of packed file." value="myphotobook.exe"><br>
<br>
target directory<br>
<input type="text" name="DestFolder" title="Directory where shortcut is created. If directory doesn't exist, the SFX will try to create it. " value="myphotobook"><br>
<br>
description of shortcut<br>
<input type="text" name="Description" title="Description of shortcut" value="startet myphotobook"><br>
<br>
name of shortcut<br>
<input type="text" name="LnkName" title="Name of the shortcut file (.lnk) that will be created." value="myphotobook"><br>
</div>

<hr>

<!-- DISPLAY TEXT -->
<div><input type="checkbox" name="text_flag" onclick="show('divText', this.checked)"> display text?</div>
<div id="divText" class="hidden">
SFX window title<br>
<input type="text" name="Title" value="myphotobook 3.01 Installation"><br>
<br>
SFX text<br>
<textarea cols="80" rows="15" name="Text" title="The text can either be HTML or pure ASCII text.">
<?=file_get_contents('data/setup_text.htm')?>
</textarea><br>
</div>

<hr>

<div><input type="checkbox" name="license_flag" onclick="show('divLicense', this.checked)"> display license?</div>
<div id="divLicense" class="hidden">
license window title<br>
<input type="text" name="LicenseTitle" value="myphotobook 3.01 Installation"><br>
<br>
license text<br>
<textarea cols="80" rows="15" name="LicenseText" title="The text can either be HTML or pure ASCII text.">
<?=file_get_contents('data/setup_license.htm')?>
</textarea><br>
</div>

<hr>

<input type="submit" name="createSFX" value="Create SFX !">
</form>

</body>
</html>